Skip to main content
Export Employee Skill Profile data
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/export/employees/skill_profiles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 10,
  "starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a",
  "filters": [
    {
      "filter": "is_active",
      "is_active": true
    }
  ],
  "include": [
    "skill_validation_state",
    "sources",
    "rejected_skills",
    "low_data_availability_flag"
  ],
  "output_skills_sorting": "alphabetical"
}
'
{ "has_next": true, "records": [ { "external_id": "61a6e076-d780-11ec-9d64-0242ac120002", "num_skill_events": 2, "low_data_availability": false, "seniority": 4.290482248178559, "skills": [ { "skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b", "skill": "Python", "validation_state": "suggested", "sources": [ "education_history" ], "source_events": [ { "external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a", "event_type": "education_history", "source": "workday" } ], "self_rated_proficiency_level": 2, "self_rated_proficiency_float": 0.4, "inferred_proficiency_level": 5, "inferred_proficiency_float": 1 }, { "skill_id": "267d511f-26d4-4c84-b2ae-eae89627deba", "skill": "Unit Testing", "validation_state": "suggested", "sources": [ "working_history" ], "source_events": [ { "external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a", "event_type": "working_history", "source": "workday" } ], "self_rated_proficiency_level": 2, "self_rated_proficiency_float": 0.4, "inferred_proficiency_level": 3, "inferred_proficiency_float": 0.6 } ] } ], "next_starting_after": "61a6e076-d780-11ec-9d64-0242ac120007" }

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

response_format
enum<string>
default:list

Defines the format of the returned Skill Profile.

Available options:
list,
hierarchy
Example:

"list"

external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.

Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl,
es,
fr_ca,
it,
ja,
ko,
pt_br,
zh_cn,
zh_tw,
sv,
fi,
da,
no

Body

application/json
limit
integer
required

The number of Employees shown on a single page.

Required range: 1 <= x <= 100
Example:

10

starting_after
string

The external_id of the Employee to continue looking from.

Maximum string length: 100
Example:

"4cbdbabe-5644-4423-8157-520f8a2f429a"

filters
(is_active · object | last_updated · object | external_id_is_in_list · object)[]

A set of filters to apply on the exported Employees.

include
enum<string>[]

Expand the results with extra data.

Include:

  • sources - Show the event type sources that led to this Skill Cluster.
  • seniority - Show the seniority of the Employee.
  • rejected_skills - Show Skills that got rejected through Skill Profile feedback.
  • low_data_availability_flag - Show whether there is low data availability for each Employee.
  • self_rated_proficiency_level - Show the self-rated proficiency level of each Skill in each Employee's profile. This value depends on the maximum proficiency level set on your tenant (default levels are 1-5). If the self-rated proficiency level is not set, null is returned.
  • self_rated_proficiency_float - Show the self-rated proficiency float of each Skill in each Employee's profile. This value represents the self-rated proficiency level of the Skill, scaled to a range between between 0.0 and 1.0. If the self-rated proficiency level is not set, null is returned.
  • inferred_proficiency_level - Show the inferred proficiency level of each Skill in each Employee's profile. This value depends on the maximum proficiency level set on your tenant (default levels are 1-5). If the self-rated proficiency level is not set, null is returned.
  • inferred_proficiency_float - Show the inferred proficiency float of each Skill in each Employee's profile. This value represents the inferred proficiency level of the Skill, scaled to a range between between 0.0 and 1.0. If the inferred proficiency level is not set, null is returned.
  • properties - Show the skill information properties of each Skill.
Available options:
skill_validation_state,
sources,
rejected_skills,
low_data_availability_flag,
self_rated_proficiency_level,
self_rated_proficiency_float,
inferred_proficiency_level,
inferred_proficiency_float,
properties
Example:
[
  "skill_validation_state",
  "sources",
  "rejected_skills",
  "low_data_availability_flag"
]
output_skills_sorting
enum<string>
default:alphabetical

Sort the Skills in the results alphabetically or by decreasing confidence.

Available options:
alphabetical,
confidence
Example:

"alphabetical"

Response

OK

has_next
boolean
required

True when there is more data after this page.

Example:

true

records
(List · object | Hierarchy · object)[]
required

A list containing the requested data for each entity, limited by the limit parameter.

The default Skill Profile result returned. The profile consists of a list of Skills and their validation states.

next_starting_after
string

The next starting_after value for pagination.

Maximum string length: 100
Example:

"5cbdbdbe-5f44-4423-8157-520f8a2f429a"